Plans

What has been pushed, and what changed since

GET
/v1/projects/{projectSlug}/plans/{planShortId}/push/status

Authorization

bearerAuth
AuthorizationBearer <token>

A personal API key (psk_…) or an OAuth access token (plan_at_…). Scopes: read, write.

In: header

Path Parameters

projectSlug*string

Project slug, e.g. recipe-box.

planShortId*string

Plan handle within the project, e.g. PLAN-12.

Query Parameters

spec?string

Narrow to one SPEC-n.

provider?string

Ask about one destination.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/projects/string/plans/string/push/status"
{  "status": {    "provider": "linear",    "total": 0,    "pushedCount": 0,    "changedCount": 0,    "lastPushedAt": "2019-08-24T14:15:22Z",    "neverPushed": true,    "externalUrl": "string",    "externalKey": "string"  }}